package de.hawhamburg.reachability.sensor.adapter.json;

import de.hawhamburg.reachability.sensor.adapter.enumeration.ExampleValue;

/**
 * A JSON message which represents the results of a random data source supplied via the ActiveMQ.<br><br>
 * 
 * This example JSON-message object represents the results of a random example data source, which provides its results
 * via an ActiveMQ topic in form of this object.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public class JsonExampleMessage {
    
    /**
     * The supplied value.
     */
    public ExampleValue Value;
    
    /**
     * The values unit.
     */
    public String Unit;
    
    /**
     * Default public constructor to create instances of this class.
     */
    public JsonExampleMessage() { }
}
